#include <iostream>

using namespace std;

int main() {
	int broj_karata, k;
	cin>>broj_karata>>k;
	int spil[broj_karata];
	int pozicija;
	int karta;
	int preseceni_spil[broj_karata];
	for (int i = 0; i < broj_karata; i++){
		cin>>spil[i];
		if (spil[i] == k) pozicija = i;
	}
	if (pozicija + 1 != broj_karata){
		karta = spil[pozicija + 1];
	}
	else {
		for (int i = 1; i < broj_karata; i++){
			preseceni_spil[i - 1] = spil[i];
		}
		preseceni_spil[broj_karata - 1] = spil[0];
		karta = preseceni_spil[pozicija];
	}
	cout<<karta;
	return 0;
}